org.apache.maven.toolchain

## Interface ToolchainPrivate

All Superinterfaces:
  Toolchain

All Known Implementing Classes:
  DefaultJavaToolChain, DefaultToolchain

    public interface ToolchainPrivate
    extends Toolchain

a private contract between the toolchains plugin and the components.

Author:
  mkleint

### Method Summary

Methods
`ToolchainModel` `getModel()`
`boolean` `matchesRequirements(java.util.Map requirements)` Let the toolchain decide if it matches requirements defined in the toolchain plugin configuration.

### Methods inherited from interface org.apache.maven.toolchain.Toolchain

`findTool, getType`

### Method Detail

#### matchesRequirements

    boolean matchesRequirements(java.util.Map requirements)

Let the toolchain decide if it matches requirements defined in the toolchain plugin configuration.

Parameters:
  `requirements` - Map<String, String> key value pair
Returns:

#### getModel

    ToolchainModel getModel()